# speex_echo.h File Reference

Echo cancellation. More...

`#include "speex/speex_types.h"`

## Defines

#define | SPEEX_ECHO_GET_FRAME_SIZE 3
#define | SPEEX_ECHO_SET_SAMPLING_RATE 24
#define | SPEEX_ECHO_GET_SAMPLING_RATE 25

## Typedefs

typedef struct SpeexEchoState_ | SpeexEchoState

## Functions

SpeexEchoState * | speex_echo_state_init (int frame_size, int filter_length)
void | speex_echo_state_destroy (SpeexEchoState *st)
void | speex_echo_cancellation (SpeexEchoState *st, const spx_int16_t *rec, const spx_int16_t *play, spx_int16_t *out)
void | speex_echo_cancel (SpeexEchoState *st, const spx_int16_t *rec, const spx_int16_t *play, spx_int16_t *out, spx_int32_t *Yout)
void | speex_echo_capture (SpeexEchoState *st, const spx_int16_t *rec, spx_int16_t *out)
void | speex_echo_playback (SpeexEchoState *st, const spx_int16_t *play)
void | speex_echo_state_reset (SpeexEchoState *st)
int | speex_echo_ctl (SpeexEchoState *st, int request, void *ptr)

## Detailed Description

Echo cancellation.